Package: org.codehaus.groovy.classgen.asm

## [Java] Class ClosureWriter

- org.codehaus.groovy.classgen.asm.ClosureWriter

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `protected interface` | `ClosureWriter.UseExistingReference` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ClosureWriter (WriterController wc)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `addGeneratedClosureConstructorCall(ConstructorCallExpression call)`
    `` | `protected ClassNode` | `createClosureClass(ClosureExpression expression, int mods)`
    `` | `protected Parameter[]` | `getClosureSharedVariables(ClosureExpression ce)`
    `` | `ClassNode` | `getOrAddClosureClass(ClosureExpression expression, int mods)`
    `` | `static void` | `loadReference(String name, WriterController controller)`
    `` | `void` | `writeClosure(ClosureExpression expression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public ClosureWriter(WriterController wc)

  - ### Method Detail

    - #### public boolean addGeneratedClosureConstructorCall(ConstructorCallExpression call)

    - #### protected ClassNode createClosureClass(ClosureExpression expression, int mods)

    - #### protected Parameter[] getClosureSharedVariables(ClosureExpression ce)

    - #### public ClassNode getOrAddClosureClass(ClosureExpression expression, int mods)

    - #### public static void loadReference(String name, WriterController controller)

    - #### public void writeClosure(ClosureExpression expression)